curl --request POST \
--url https://api.m4psp.com/gateway/v1/withdraw/status \
--header 'Content-Type: application/json' \
--data '
{
"shop_id": 1520,
"now": "2026-05-24T16:35:42",
"withdraw_id": 121
}
'import requests
url = "https://api.m4psp.com/gateway/v1/withdraw/status"
payload = {
"shop_id": 1520,
"now": "2026-05-24T16:35:42",
"withdraw_id": 121
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({shop_id: 1520, now: '2026-05-24T16:35:42', withdraw_id: 121})
};
fetch('https://api.m4psp.com/gateway/v1/withdraw/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": true,
"message": "Ok",
"error_code": 0,
"data": {
"id": 123,
"status": 2,
"ps_currency": 840,
"shop_currency": 840,
"payee_receive": 1,
"shop_write_off": 1,
"shop_payment_id": "5b0efa8a-153b-4421-abac-2aba4d772a86",
"error_code": 0,
"rrn": "c16d5ef3-540e-42c3-b172-bb4f15a92f31",
"bank_transaction_id": "5aa56edd-b8c0-417b-ad9d-2cd42693e7c0"
}
}Payout status request by ID of the payout created in M4 system
To get the status and up-to-date information of payments by the M4 system ID.
Fields involved in request signature generation:
nowshop_idwithdraw_id
Authorizations
Every API request must be signed so that we can identify your account.
The signature is transferred in the request body through the sign parameter, for example:
{
"shop_id": 1520,
"shop_order_id" : "5b0efa8a-153b-4421-abac-2aba4d772a86",
"amout": "6320.91",
"currency": 840,
"payway": "card_invoice_usd",
"description": "Payment for shop_id=1520",
"sign": "77a6f7a30876d480d4e771d08cb83800dd5cb874664c77e515ffc052b20293c6"
}
"sign" parameter, nevertheless your real requests must include it in the request body where required.
Signature line is generated according to the following algorithm: all request parameters involved in signature generation are ordered in the alphabetical order of keys, the values are concatenated with a colon (":") and the account secret key is added at the end (without the: sign), a sha256 hash is generated from the resulting line and its hex representation is passed in the sign request parameter.
Example of signature generation for a method invoice/create:
- Determining the list of parameters. It looks as follows for the method in consideration:
Fields involved in request signature generation:
shop_idshop_order_idamountcurrencypayway
- Let's sort keys in alphabetical sequence:
"amount", "currency", "payway", "shop_id", "shop_order_id"
- The line for generating the SHA256 hash will be as follows:
"6320.91:840:card_invoice_usd:1520:5b0efa8a-153b-4421-abac-2aba4d772a86account-secret-key"
Where account-secret-key is the secret identification key for your account. You can request a key from the support service.
- Let's get a hash expression of the generated line using Python code:
>>> string_to_sign = '6320.91:840:card_invoice_usd:1520:5b0efa8a-153b-4421-abac-2aba4d772a86account-secret-key' >>> import hashlib >>> sign = hashlib.sha256(string_to_sign.encode()).hexdigest() >>> print(sign) '77a6f7a30876d480d4e771d08cb83800dd5cb874664c77e515ffc052b20293c6'
Body
Response
OK
- Successful response
- Error response
Boolean value, in case of successful response it will be true, in case of error – false
true
A textual description of the error, in case of success - simply Ok
"Ok"
If this value is greater than 0, then the request ended with an error. Description of error codes
0
Show child attributes
Show child attributes